Skip to main content
POST
Cancel Monitor

Authorizations

x-api-key
string
header
required

Your Sixtyfour API key.

Path Parameters

monitor_id
string<uuid>
required

Response

Successful Response

monitor_id
string
required

Monitor identifier.

type
enum<string>
required

research or linkedin.

Available options:
research,
linkedin
name
string
required

Name of the monitor.

status
enum<string>
required

starting while rows from a file are still being added, active when it runs on schedule, paused when switched off, failed when adding rows failed, canceled when canceled.

Available options:
starting,
active,
paused,
failed,
canceled
subject_type
enum<string>
required

What each row is.

Available options:
company,
person
fields
Fields · object
required

The watched fields.

frequency
string
required

How often the monitor checks its rows.

tier
string
required

Research depth for each check.

is_active
boolean
required

If true, the monitor runs on its schedule.

webhook_event_types
string[]
required

Events sent to webhook_url.

row_count
integer
required

Number of rows in the monitor.

active_row_count
integer
required

Number of rows that are still checked.

next_run_times
string[]
required

Up to three upcoming check times in UTC. Empty when not running.

created_at
string
required

Creation time in UTC, in ISO 8601 format.

updated_at
string
required

Last update time in UTC, in ISO 8601 format.

research_plan
string | null

Additional research instructions. Null when none were set.

disabled_reason
string | null

Why the monitor is not running. Null when it is running.

webhook_url
string | null

URL that receives the monitor's events. Null when none is set.

metadata
Metadata · object | null

Your own data stored on the monitor.

last_run_at
string | null

Start time of the most recent check in UTC. Null before the first check.